Skip to main content
GET
/
v1
/
users
cURL
curl --request GET \
  --url 'https://api.coderabbit.ai/v1/users?seat_filter=all&role_filter=all&limit=100' \
  --header 'x-coderabbitai-api-key: <api-key>'
{
  "seats_purchased": 50,
  "seats_assigned": 30,
  "seat_assignment_mode": "manual",
  "users": [
    {
      "user_id": "121358802",
      "seat_assigned": true,
      "role": "cr_admin"
    },
    {
      "user_id": "22605247",
      "seat_assigned": false,
      "role": "cr_member"
    }
  ],
  "next_cursor": "MjI2MDUyNDc="
}

Users List

Requires Admin role. See Role-based access for details.
This feature is available exclusively as part of the Enterprise plan. Please refer to our pricing page for more information about our plans and features.

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Headers

x-coderabbitai-api-key
string
required

Your CodeRabbit API key

Query Parameters

seat_filter
enum<string>
default:all

Filter users by seat assignment status

Available options:
all,
assigned,
unassigned
role_filter
enum<string>
default:all

Filter users by role

Available options:
all,
member,
admin
limit
integer
default:100

Maximum number of users to return per page

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from previous response's next_cursor field

Response

List of users with seat and subscription info

seats_purchased
integer
required

Total number of seats purchased in the subscription

seats_assigned
integer
required

Number of seats currently assigned to users

seat_assignment_mode
enum<string>
required

The seat assignment mode for the organization

Available options:
automatic,
manual
users
object[]
required
next_cursor
string | null

Cursor for the next page of results, or null if no more results